Name:          python-pyplete
Version:       0.0.5
Release:       1mamba
Summary:       An interface to autocomplete in Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://github.com/goinnn/pyplete
Source:        https://pypi.python.org/packages/source/p/pyplete/pyplete-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-pysmell
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PYPLETE (PYthon autocomPLETE) is a interface to autocomplete in python.

%prep
%setup -q -n pyplete-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc CHANGES README.rst

%changelog
* Thu Jan 30 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.0.5-1mamba
- package created using the webbuild interface
